Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.xml
Class XMLContainerBuilderTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          org.nanocontainer.script.AbstractScriptedContainerBuilderTestCase
                              org.nanocontainer.script.xml.XMLContainerBuilderTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class XMLContainerBuilderTestCase

extends AbstractScriptedContainerBuilderTestCase

Version:
  $Revision: 3115 $
Author:
  Paul Hammant, Aslak Hellesøy, Jeppe Cramon, Mauro Talevi

Nested Class Summary
`static class` | `XMLContainerBuilderTestCase.ContainerTestFactory`
`static class` | `XMLContainerBuilderTestCase.StaticWriterComponentMonitor`
`static class` | `XMLContainerBuilderTestCase.TestFactory`
`static class` | `XMLContainerBuilderTestCase.WrapsTouchable`

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`XMLContainerBuilderTestCase()`

Method Summary
`void` | `testChainOfDecoratingPicoContainersCanDoInterceptionOfMutablePicoContainerMethods()`
`void` | `testChainOfWrappedComponents()`
`void` | `testClassLoaderHierarchy()`
`void` | `testComponentAdapterClassCanBeSpecifiedInContainerElement()`
`void` | `testComponentAdapterWithNoClassThrowsNanoContainerMarkupException()`
`void` | `testComponentAdapterWithNoKeyUsesTypeAsKey()`
`void` | `testComponentAdapterWithSpecifiedFactory()`
`void` | `testComponentCanUsePredefinedCAF()`
`void` | `testComponentCanUsePredefinedCAFWithParameters()`
`void` | `testComponentCanUsePredefinedNestedCAF()`
`void` | `testComponentInstanceWithBeanFactory()`
`void` | `testComponentInstanceWithBeanFactoryAndInstanceThatIsDefinedInContainer()`
`void` | `testComponentInstanceWithClassKey()`
`void` | `testComponentInstanceWithContainerFactoryAndKey()`
`void` | `testComponentInstanceWithDefaultFactory()`
`void` | `testComponentInstanceWithFactoryAndKey()`
`void` | `testComponentInstanceWithFactoryCanBeUsed()`
`void` | `testComponentInstanceWithKey()`
`void` | `testComponentInstanceWithNoChildElementThrowsNanoContainerMarkupException()`
`void` | `testComponentMonitorCanBeSpecified()`
`void` | `testComponentMonitorCanBeSpecifiedIfCAFIsSpecified()`
`void` | `testConstantParameterWithNoChildElementThrowsNanoContainerMarkupException()`
`void` | `testContainerCanHostAChild()`
`void` | `testCreateContainerFromNullScriptThrowsNullPointerException()`
`void` | `testCreateContainerFromScriptThrowsSAXException()`
`void` | `testCreateSimpleContainer()`
`void` | `testCreateSimpleContainerWithExplicitKeysAndImplicitParameter()`
`void` | `testCreateSimpleContainerWithExplicitKeysAndParameters()`
`void` | `testEmptyScriptDoesNotThrowsEmptyCompositionException()`
`void` | `testInstantiationOfComponentsWithComponentAdapter()`
`void` | `testInstantiationOfComponentsWithParameterInstancesOfSameComponent()`
`void` | `testInstantiationOfComponentsWithParameterInstancesOfSameComponentAndBeanFactory()`
`void` | `testInstantiationOfComponentsWithParameterKeys()`
`void` | `testInstantiationOfComponentsWithParams()`
`void` | `testNoImplementationClassThrowsNanoContainerMarkupException()`
`void` | `testNonParameterElementsAreIgnoredInComponentImplementation()`
`void` | `testShouldThrowExceptionForNonExistantCafClass()`
`void` | `testUnknownclassThrowsNanoContainerMarkupException()`

Methods inherited from class org.nanocontainer.script.AbstractScriptedContainerBuilderTestCase
`buildContainer`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, defaultMockNameForType, mock, mock, never, newCoreMock, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, isA, newDummy, newDummy, newDummy, not, or, same, stringContains`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLContainerBuilderTestCase

    public XMLContainerBuilderTestCase()

Method Detail

### testCreateSimpleContainer

    public void testCreateSimpleContainer()

### testCreateSimpleContainerWithExplicitKeysAndParameters

    public void testCreateSimpleContainerWithExplicitKeysAndParameters()

### testCreateSimpleContainerWithExplicitKeysAndImplicitParameter

    public void testCreateSimpleContainerWithExplicitKeysAndImplicitParameter()

### testNonParameterElementsAreIgnoredInComponentImplementation

    public void testNonParameterElementsAreIgnoredInComponentImplementation()

### testContainerCanHostAChild

    public void testContainerCanHostAChild()

### testClassLoaderHierarchy

    public void testClassLoaderHierarchy()
                                  throws IOException

  Throws:
    `IOException`

### testUnknownclassThrowsNanoContainerMarkupException

    public void testUnknownclassThrowsNanoContainerMarkupException()

### testNoImplementationClassThrowsNanoContainerMarkupException

    public void testNoImplementationClassThrowsNanoContainerMarkupException()

### testConstantParameterWithNoChildElementThrowsNanoContainerMarkupException

    public void testConstantParameterWithNoChildElementThrowsNanoContainerMarkupException()

### testEmptyScriptDoesNotThrowsEmptyCompositionException

    public void testEmptyScriptDoesNotThrowsEmptyCompositionException()

### testCreateContainerFromScriptThrowsSAXException

    public void testCreateContainerFromScriptThrowsSAXException()

### testCreateContainerFromNullScriptThrowsNullPointerException

    public void testCreateContainerFromNullScriptThrowsNullPointerException()

### testShouldThrowExceptionForNonExistantCafClass

    public void testShouldThrowExceptionForNonExistantCafClass()

### testComponentInstanceWithNoChildElementThrowsNanoContainerMarkupException

    public void testComponentInstanceWithNoChildElementThrowsNanoContainerMarkupException()

### testComponentInstanceWithFactoryCanBeUsed

    public void testComponentInstanceWithFactoryCanBeUsed()

### testComponentInstanceWithDefaultFactory

    public void testComponentInstanceWithDefaultFactory()

### testComponentInstanceWithBeanFactory

    public void testComponentInstanceWithBeanFactory()

### testComponentInstanceWithBeanFactoryAndInstanceThatIsDefinedInContainer

    public void testComponentInstanceWithBeanFactoryAndInstanceThatIsDefinedInContainer()

### testComponentInstanceWithKey

    public void testComponentInstanceWithKey()

### testComponentInstanceWithClassKey

    public void testComponentInstanceWithClassKey()

### testComponentInstanceWithFactoryAndKey

    public void testComponentInstanceWithFactoryAndKey()

### testComponentInstanceWithContainerFactoryAndKey

    public void testComponentInstanceWithContainerFactoryAndKey()

### testInstantiationOfComponentsWithParams

    public void testInstantiationOfComponentsWithParams()

### testInstantiationOfComponentsWithParameterInstancesOfSameComponent

    public void testInstantiationOfComponentsWithParameterInstancesOfSameComponent()

### testInstantiationOfComponentsWithParameterInstancesOfSameComponentAndBeanFactory

    public void testInstantiationOfComponentsWithParameterInstancesOfSameComponentAndBeanFactory()

### testInstantiationOfComponentsWithParameterKeys

    public void testInstantiationOfComponentsWithParameterKeys()

### testInstantiationOfComponentsWithComponentAdapter

    public void testInstantiationOfComponentsWithComponentAdapter()

### testComponentAdapterWithSpecifiedFactory

    public void testComponentAdapterWithSpecifiedFactory()

### testComponentAdapterWithNoKeyUsesTypeAsKey

    public void testComponentAdapterWithNoKeyUsesTypeAsKey()

### testComponentAdapterWithNoClassThrowsNanoContainerMarkupException

    public void testComponentAdapterWithNoClassThrowsNanoContainerMarkupException()

### testComponentAdapterClassCanBeSpecifiedInContainerElement

    public void testComponentAdapterClassCanBeSpecifiedInContainerElement()

### testComponentMonitorCanBeSpecified

    public void testComponentMonitorCanBeSpecified()

### testComponentMonitorCanBeSpecifiedIfCAFIsSpecified

    public void testComponentMonitorCanBeSpecifiedIfCAFIsSpecified()

### testComponentCanUsePredefinedCAF

    public void testComponentCanUsePredefinedCAF()

### testComponentCanUsePredefinedNestedCAF

    public void testComponentCanUsePredefinedNestedCAF()

### testComponentCanUsePredefinedCAFWithParameters

    public void testComponentCanUsePredefinedCAFWithParameters()

### testChainOfDecoratingPicoContainersCanDoInterceptionOfMutablePicoContainerMethods

    public void testChainOfDecoratingPicoContainersCanDoInterceptionOfMutablePicoContainerMethods()
                                                                                           throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### testChainOfWrappedComponents

    public void testChainOfWrappedComponents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.